%define upstream_name    Algorithm-Diff-Apply
%define upstream_version 0.2.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 21

Summary:   Apply one or more Algorithm::Diff diffs
License:   Artistic
Group:     Development/Perl
Url:       https://metacpan.org/release/%{upstream_name}
Source0:   https://cpan.metacpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires: perl(Algorithm::Diff)

Buildarch: noarch


%description
This module contains subroutines for applying diffs generated by
Algorithm::Diff to a target array in the hope of regenerating a new array
incorporating all the changes described in the diffs into a new merged array.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files 
%{_mandir}/*/*
%{perl_vendorlib}/*




%changelog
* Tue Nov 01 2022 umeabot <umeabot> 0.2.3-21.mga9
+ Revision: 1901133
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2.3-20.mga8
+ Revision: 1503418
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.2.3-19.mga7
+ Revision: 1281553
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.2.3-18.mga7
+ Revision: 1162776
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 0.2.3-17.mga6
+ Revision: 1022256
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.2.3-16.mga6
+ Revision: 933134
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.3-15.mga5
+ Revision: 742367
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.3-14.mga5
+ Revision: 683445
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.3-13.mga4
+ Revision: 508997
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.3-12.mga3
+ Revision: 362850
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.2.3-11.mga1
+ Revision: 21997
- cleaning spec file
- imported package perl-Algorithm-Diff-Apply

